function [L_unob,flag_obs]=check_obs_PMUSE(m_VMA,m_IMA,m_IRI,line_pi,nob)

L_unob=[];
temp=ones(nob,1);
if isempty(m_VMA)==0
    for i=1:length(m_VMA(:,1))
        k=m_VMA(i,1);
        temp(k,1)=0;
    end
end

if isempty(m_IMA)==0
    for i=1:length(m_IMA(:,1))
        k=m_IMA(i,1);
        if temp(line_pi(k,1),1)==0
            temp(line_pi(k,2),1)=0;
        end        
    end
end

if isempty(m_IRI)==0
    for i=1:length(m_IRI(:,1))
        k=m_IRI(i,1);
        if temp(line_pi(k,1),1)==0
            temp(line_pi(k,2),1)=0;
        end        
    end
end


for i=1:nob
    if temp(i,1)==1
        [L_unob]=[L_unob;i];
    end
end

if isempty(L_unob)==0
    flag_obs=0;
else
    flag_obs=1;
end 